org.eclipse.gef

## Interface LayerConstants

All Known Implementing Classes:
  AbstractConnectionEditPart, FreeformGraphicalRootEditPart, GraphicalRootEditPart, ScalableFreeformRootEditPart, ScalableRootEditPart

    public interface LayerConstants

The constants used to identify typical layers in a graphical application.

### Field Summary

Fields
`static java.lang.String` `CONNECTION_LAYER` Identifies the layer containing connections, which typically appear on top of anything in the primary layer.
`static java.lang.String` `FEEDBACK_LAYER` The layer containing feedback, which are generally temporary visuals that appear on top of all other visuals.
`static java.lang.String` `GRID_LAYER` Identifies the layer where the grid is painted.
`static java.lang.String` `GUIDE_LAYER` Identifies the layer where Guides add feedback to the primary viewer.
`static java.lang.String` `HANDLE_LAYER` Identifies the layer containing handles, which are typically editing decorations that appear on top of any model representations.
`static java.lang.String` `PRIMARY_LAYER` Identifies the layer containing the primary pieces of the application.
`static java.lang.String` `PRINTABLE_LAYERS` The layer that contains all printable layers.
`static java.lang.String` `SCALABLE_LAYERS` The layer that contains all scaled layers.
`static java.lang.String` `SCALED_FEEDBACK_LAYER` The layer containing scaled feedback.

### Field Detail

#### PRIMARY_LAYER

    static final java.lang.String PRIMARY_LAYER

Identifies the layer containing the primary pieces of the application.

See Also:
  Constant Field Values

#### CONNECTION_LAYER

    static final java.lang.String CONNECTION_LAYER

Identifies the layer containing connections, which typically appear on top of anything in the primary layer.

See Also:
  Constant Field Values

#### GRID_LAYER

    static final java.lang.String GRID_LAYER

Identifies the layer where the grid is painted.

See Also:
  Constant Field Values

#### GUIDE_LAYER

    static final java.lang.String GUIDE_LAYER

Identifies the layer where Guides add feedback to the primary viewer.

See Also:
  Constant Field Values

#### HANDLE_LAYER

    static final java.lang.String HANDLE_LAYER

Identifies the layer containing handles, which are typically editing decorations that appear on top of any model representations.

See Also:
  Constant Field Values

#### FEEDBACK_LAYER

    static final java.lang.String FEEDBACK_LAYER

The layer containing feedback, which are generally temporary visuals that appear on top of all other visuals.

See Also:
  Constant Field Values

#### SCALED_FEEDBACK_LAYER

    static final java.lang.String SCALED_FEEDBACK_LAYER

The layer containing scaled feedback.

See Also:
  Constant Field Values

#### PRINTABLE_LAYERS

    static final java.lang.String PRINTABLE_LAYERS

The layer that contains all printable layers.

See Also:
  Constant Field Values

#### SCALABLE_LAYERS

    static final java.lang.String SCALABLE_LAYERS

The layer that contains all scaled layers.

See Also:
  Constant Field Values